CREATE SEQUENCE summary_reports_id_seq;
CREATE TABLE summary_reports
 (
     id INT NOT NULL DEFAULT nextval('summary_reports_id_seq'),
     filter_id INT NOT NULL REFERENCES filters (id) ON DELETE CASCADE,
     PRIMARY KEY(id)
 );

CREATE SEQUENCE summary_reports_hosts_id_seq;
CREATE TABLE summary_reports_hosts
 (
     id INT NOT NULL DEFAULT nextval('summary_reports_hosts_id_seq'),
     summary_id INT NOT NULL REFERENCES summary_reports (id) ON DELETE CASCADE,
     host VARCHAR(129) DEFAULT NULL,
     count INT DEFAULT 0,
     PRIMARY KEY(id)
 );
--ADD default_filter_id COLUMN TO TABLE filters
ALTER TABLE users ADD default_filter_id INT;

CREATE OR REPLACE FUNCTION show_group_filters( group_name VARCHAR )
RETURNS SETOF return_names AS $$
BEGIN
    RETURN QUERY SELECT filters.name FROM filters INNER JOIN filtergroups ON filters.id = filtergroups.filter_id INNER JOIN groups ON filtergroups.group_id = groups.id WHERE groups.name = group_name;
    RETURN;
END;
$$
LANGUAGE plpgsql;

CREATE OR REPLACE FUNCTION change_import_status( table_name VARCHAR, status VARCHAR )
RETURNS BOOLEAN AS $$
BEGIN
    UPDATE tables_registry SET import_status = status::import_states, date = current_timestamp WHERE name = table_name;
    RETURN TRUE;
EXCEPTION
    WHEN OTHERS THEN
	RAISE NOTICE 'Error number:%', SQLSTATE;
	RETURN FALSE;
END;
$$
LANGUAGE plpgsql;
--INSERT NEW GROUP 'Summary administrators' INTO TABLE groups
INSERT INTO groups(name, description, system) VALUES ('Summary viewers', '', TRUE);
--ADD USER 'admin' TO GROUP 'Summary administrators'
SELECT insert_usergroup('admin', 'Summary viewers');

--UPDATE db VERSION
UPDATE service SET version = 5;
